%define upstream_name    XML-GrammarBase
%define upstream_version v0.2.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A parameterized role for an XSLT converter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::Role)
BuildRequires: perl(MooX::Types::MooseLike)
BuildRequires: perl(MooX::late)
BuildRequires: perl(Package::Variant)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::XML::Ordered)
BuildRequires: perl(XML::LibXML) >= 2.1.700
BuildRequires: perl(XML::LibXSLT) >= 1.800.0
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
XML::GrammarBase aims to be a convenient framework for easily providing
processors for XML grammars (such as those under the XML::Grammar namespace
- the http://www.shlomifish.org/open-source/projects/XML-Grammar/ manpage
).

It provides roles and base classes for facilitating writing those.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.2.3-6.mga6
+ Revision: 1036018
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.2.3-5.mga6
+ Revision: 965076
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.2.3-4.mga5
+ Revision: 787985
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.2.3-3.mga5
+ Revision: 742055
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3-2.mga5
+ Revision: 686931
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.2.3-1.mga5
+ Revision: 581397
- update to v0.2.3

* Sat Oct 19 2013 umeabot <umeabot> 0.2.2-2.mga4
+ Revision: 525093
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.2.2-1.mga4
+ Revision: 432251
- New version 0.2.2

* Sun Jan 13 2013 umeabot <umeabot> 0.1.1-2.mga3
+ Revision: 375051
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 0.1.1-1.mga3
+ Revision: 338120
- update to v0.1.1

* Sat Dec 29 2012 shlomif <shlomif> 0.0.3-1.mga3
+ Revision: 336217
- imported package perl-XML-GrammarBase


* Sat Dec 29 2012 cpan2dist v0.0.3-1mga
- initial mageia release, generated with cpan2dist
